<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_162) on Fri Sep 28 12:06:15 CEST 2018 -->
<title>Forme</title>
<meta name="date" content="2018-09-28">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Forme";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":6,"i3":10,"i4":10,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../Version2/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Forme.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Version2/Cercle.html" title="class in Version2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Version2/Methodes.html" title="class in Version2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Version2/Forme.html" target="_top">Frames</a></li>
<li><a href="Forme.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Version2</div>
<h2 title="Class Forme" class="title">Class Forme</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Version2.Forme</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../Version2/Carre.html" title="class in Version2">Carre</a>, <a href="../Version2/Cercle.html" title="class in Version2">Cercle</a>, <a href="../Version2/Triangle_equi.html" title="class in Version2">Triangle_equi</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Forme</span>
extends java.lang.Object</pre>
<div class="block">Classe 'forme' abstraite.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Clement AZIBEIRO</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#mesure">mesure</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.Scanner</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#saisie">saisie</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Version2/Forme.html#Forme--">Forme</a></span>()</code>
<div class="block">Constructeur par defaut.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Version2/Forme.html#Forme-float-">Forme</a></span>(float&nbsp;cote)</code>
<div class="block">Constructeur.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#affichage_calcul--">affichage_calcul</a></span>()</code>
<div class="block">Methode String permetant d'afficher le resultat d'un calcul.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#getCote--">getCote</a></span>()</code>
<div class="block">Accesseur de mesure.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>abstract float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#perimetre--">perimetre</a></span>()</code>
<div class="block">Methode abstraite pour calculer un perimetre.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#saisie_cote--">saisie_cote</a></span>()</code>
<div class="block">Methode void qui permet de recuperer la saisie d'un cote.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#setCote-float-">setCote</a></span>(float&nbsp;s)</code>
<div class="block">Modifieur de mesure.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>abstract float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Version2/Forme.html#surface--">surface</a></span>()</code>
<div class="block">Methode abstraite pour calculer une surface.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="mesure">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mesure</h4>
<pre>protected&nbsp;float mesure</pre>
</li>
</ul>
<a name="saisie">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>saisie</h4>
<pre>protected&nbsp;java.util.Scanner saisie</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Forme--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Forme</h4>
<pre>public&nbsp;Forme()</pre>
<div class="block">Constructeur par defaut.</div>
</li>
</ul>
<a name="Forme-float-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Forme</h4>
<pre>public&nbsp;Forme(float&nbsp;cote)</pre>
<div class="block">Constructeur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cote</code> - permet de valoriser mesure</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCote--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCote</h4>
<pre>public&nbsp;float&nbsp;getCote()</pre>
<div class="block">Accesseur de mesure.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>La valeur de mesure</dd>
</dl>
</li>
</ul>
<a name="setCote-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCote</h4>
<pre>public&nbsp;void&nbsp;setCote(float&nbsp;s)</pre>
<div class="block">Modifieur de mesure.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - permet de modifier mesure</dd>
</dl>
</li>
</ul>
<a name="perimetre--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>perimetre</h4>
<pre>public abstract&nbsp;float&nbsp;perimetre()</pre>
<div class="block">Methode abstraite pour calculer un perimetre.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un nombre floatant</dd>
</dl>
</li>
</ul>
<a name="surface--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>surface</h4>
<pre>public abstract&nbsp;float&nbsp;surface()</pre>
<div class="block">Methode abstraite pour calculer une surface.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Un nombre floatant</dd>
</dl>
</li>
</ul>
<a name="saisie_cote--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saisie_cote</h4>
<pre>public&nbsp;void&nbsp;saisie_cote()</pre>
<div class="block">Methode void qui permet de recuperer la saisie d'un cote.</div>
</li>
</ul>
<a name="affichage_calcul--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>affichage_calcul</h4>
<pre>public&nbsp;java.lang.String&nbsp;affichage_calcul()</pre>
<div class="block">Methode String permetant d'afficher le resultat d'un calcul.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Une chaine de caractere</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../Version2/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Forme.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Version2/Cercle.html" title="class in Version2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Version2/Methodes.html" title="class in Version2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Version2/Forme.html" target="_top">Frames</a></li>
<li><a href="Forme.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
